/****************************************************************************
** Включить реле в определенное время и день.
** Сценарий для сервера (поместить в каталог Scripts\ScriptsServer).
****************************************************************************/

var numPKU  = 1; // Номер пульта
var numDev  = 1; // Номер прибора
var numRelay= 1; // Номер реле

var dateM   =  1; // День месяца
//var dateW   =  1; // День недели (0 - понедельник; 6 - воскресенье)
var hour    = 10; // Час
var minute  = 20; // Минута
var seconds = 30; // Секунда

setSheduler();

//---------------------------------------------------------------------------
function setSheduler()
{
    // Вызвать функцию controlRelay в заданное время
    var time = new Date();
    time.setHours(hour, minute, seconds, 0);
    armSkif.setSheduler(controlRelay, time);
}
//---------------------------------------------------------------------------
function controlRelay()
{
    date = new Date();
    if (date.getDate() == dateM)
        //if (date.getDay() == dateW)
    {
        armSkif.controlRelay(numPKU, numDev, numRelay, armSkif.RL_ON ); // Включить реле
        //armSkif.controlRelay(numPKU, numDev, numRelay, armSkif.RL_OFF); // Выключить реле
    }

    setSheduler();
}
